/**************************************************************
  (C) 1997 by Achim Kaiser

  You may distribute under the terms of the GNU General Public
  License as specified in the COPYING file.
**************************************************************/

#include "global.h"
#include <malloc.h>
#include <string.h>

Display *GlobalDisplay;
Window GlobalWindow;
Window GlobalDetailWindow;
Window GlobalMoveWindow;
char *GlobalWindowName=NULL;
char *GlobalPath=NULL;
char *fontname=NULL;
int kindofwindow;
int isdesktop;
int hidden;
long timer;
Cursor normcur,waitcur;


void SetCursors(Cursor a,Cursor b)
{
  normcur=a;
  waitcur=b;
}

Cursor GetNormCursor()
{
  return(normcur);
}

Cursor GetWaitCursor()
{
  return(waitcur);
}

char* GetFontName()
{
  if (fontname==NULL)
    return("-*-lucida-medium-r-*-*-12-*-*-*-*-*-*-*");
  else 
    return(fontname);
  /* return("-*-helvetica-medium-r-*-*-13-*-*-*-*-*-*-*"); */
}

void SetFontName(char* name)
{
  free(fontname);
  fontname=name;
}

void SetShowHidden(int i)
{
  hidden=i;
}

int GetShowHidden()
{
  return(hidden);
}

void SetTimer(long i)
{
  timer=i;
}

long GetTimer()
{
  return(timer);
}

void SetIsDesktop(int i)
{
  isdesktop=i;
}

int GetIsDesktop()
{
  return(isdesktop);
}

void SetKindOfWindow(int kind)
{
  kindofwindow=kind;
}

int GetKindOfWindow()
{
  return(kindofwindow);
}

Display *GetDisplay()
{
  return(GlobalDisplay);
}

void SetDisplay(Display *display)
{
  GlobalDisplay=display;
}

Window GetWindow()
{
  return(GlobalWindow);
}

void SetWindow(Window window)
{
  GlobalWindow=window;
}

Window GetDetailWindow()
{
  return(GlobalDetailWindow);
}

void SetDetailWindow(Window window)
{
  GlobalDetailWindow=window;
}

Window GetMoveWindow()
{
  return(GlobalMoveWindow);
}

void SetMoveWindow(Window window)
{
  GlobalMoveWindow=window;
}

char *GetWindowName()
{
  return(GlobalWindowName);
}

void SetWindowName(char *name)
{
  if (GlobalWindowName==NULL)
    free(GlobalWindowName);
  GlobalWindowName=malloc(strlen(name)+1);
  strcpy(GlobalWindowName,name);
}

int IsSubDesktop()
{
  if (strncmp("~/.dfmdesk/",GlobalPath,strlen("~/.dfmdesk/"))==0)
    return(True);
  else
    return(False);
}

char* GetPath()
{
  return(GlobalPath);
}

void SetPath(char *path)
{
  if (GlobalPath==NULL)
    free(GlobalPath);
  GlobalPath=malloc(strlen(path)+1);
  strcpy(GlobalPath,path);
}
